SND_CARD_NEW(9)

NAME
snd_card_new - create and initialize a soundcard structure

SYNOPSIS

struct snd_card * snd_card_new (int idx, const char * xid, struct module * module, int extra_size);

ARGUMENTS

idx card index (address) [0 ... (SNDRV_CARDS-1)]

xid card identification (ASCII string)

module
    top level module for locking

extra_size
    allocate this extra size after the main soundcard structure

DESCRIPTION

Creates and initializes a soundcard structure.

Returns kmallocated snd_card structure. Creates the ALSA control interface (which is blocked until snd_card_register function is called).